Creates a webhook
POST
/__remote/api.vercel.com/v1/webhooksCreates a webhook
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.webhooks.createWebhook({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { url: "https://experienced-sailor.biz/", events: [ "deployment.promoted", "deployment.error", "deployment.integration.action.cancel", ], }, });
console.log(result);}
run();Response
{ "alertRuleIds": [], "createdAt": "1567024758130", "events": [], "id": "account_hook_GflD6EYyo7F4ViYS", "ownerId": "ZspSRT4ljIEEmMHgoDwKWDei", "projectIds": [], "secret": "string", "updatedAt": "1567024758130", "url": "https://my-webhook.com"}AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request body is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error